#!/bin/bash -xe
#docker registry
salt-call -t 5 --retcode-passthrough --no-color state.sls docker.host
docker run --restart always -d -p 5000:5000 --name registry registry:2
salt-call -t 5 --retcode-passthrough state.sls docker.client.registry
docker system prune --all --force

#aptly
salt-call -t 5 --no-color state.sls aptly
salt-call -t 5 --retcode-passthrough --no-color state.sls aptly
sudo -i -u aptly aptly_mirror_update.sh -sv
sudo -i -u aptly aptly_publish_update.sh -acrfv

#debmirror
/srv/scripts/debmirror.sh

#git
salt-call -t 5 --retcode-passthrough --no-color state.sls git.server

#pypi
#pip install pip2pi
#pip2pi /srv/pypi_mirror/packages/ -r /srv/pypi_mirror/requirements.txt